#ifndef _LOG_H_
#define _LOG_H_

#include <stdio.h>

#ifdef V_DEBUG
#define V_LOG(...) fprintf(stderr, __VA_ARGS__)
#else
#define V_LOG(...)
#endif


#ifdef DEBUG
#define LOG(...) fprintf(stderr, __VA_ARGS__)
#else
#define LOG(...)
#endif

int log_get_verbosity();

void log_set_verbosity(int);

void log_printf(int v, const char *s, ...);

int log_level(int);

#endif
